Bug 188546 - [PATCH] devel/py-pyshapelib: staging
Summary: [PATCH] devel/py-pyshapelib: staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-13 11:00 UTC by Bartek Rutkowski
Modified: 2014-04-15 02:40 UTC (History)
1 user (show)

See Also:


Attachments
py-pyshapelib-0.3.patch (1.12 KB, patch)
2014-04-13 11:00 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-13 11:00:00 UTC
- Staging
- Add LICENSE
- Pet portint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-pyshapelib/0.3/

Port maintainer (fmysh@iijmio-mail.jp) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-13 11:00:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-13 11:00:07 UTC
Maintainer of devel/py-pyshapelib,

Please note that PR ports/188546 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188546

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-13 11:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-04-15 02:30:56 UTC
Author: swills
Date: Tue Apr 15 01:30:51 2014
New Revision: 351300
URL: http://svnweb.freebsd.org/changeset/ports/351300
QAT: https://qat.redports.org/buildarchive/r351300/

Log:
  - Stage
  
  PR:		ports/188546
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr@ (blanket)

Modified:
  head/devel/py-pyshapelib/Makefile
  head/devel/py-pyshapelib/pkg-descr

Modified: head/devel/py-pyshapelib/Makefile
==============================================================================
--- head/devel/py-pyshapelib/Makefile	Tue Apr 15 01:28:15 2014	(r351299)
+++ head/devel/py-pyshapelib/Makefile	Tue Apr 15 01:30:51 2014	(r351300)
@@ -12,6 +12,8 @@ DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:py
 MAINTAINER=	fmysh@iijmio-mail.jp
 COMMENT=	Python bindings for Shapelib
 
+LICENSE=	LGPL20
+
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
 
@@ -21,22 +23,21 @@ USE_LDCONFIG=	yes
 PORTDOCS=	NEWS README
 PORTEXAMPLES=	pytest.py
 
-NO_STAGE=	yes
 post-extract:
 	${LN} -s ${WRKDIR}/${SHAPELIB} ${WRKDIR}/shapelib
 
 post-install:
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for f in ${PORTDOCS}
-	${INSTALL_MAN} ${WRKSRC}/$f ${DOCSDIR}
+	${INSTALL_MAN} ${WRKSRC}/$f ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 
 .if !defined(NOPORTEXAMPLES)
-	${MKDIR} ${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 .for f in ${PORTEXAMPLES}
-	${INSTALL_DATA} ${WRKSRC}/$f ${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/$f ${STAGEDIR}${EXAMPLESDIR}
 .endfor
 .endif
 

Modified: head/devel/py-pyshapelib/pkg-descr
==============================================================================
--- head/devel/py-pyshapelib/pkg-descr	Tue Apr 15 01:28:15 2014	(r351299)
+++ head/devel/py-pyshapelib/pkg-descr	Tue Apr 15 01:30:51 2014	(r351300)
@@ -1,4 +1,3 @@
-
 Python bindings for Shapelib
 ============================
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-04-15 02:31:14 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!